public static interface SpringRabbitMQEndpointBuilderFactory.SpringRabbitMQBuilders
| Modifier and Type | Method and Description |
|---|---|
default SpringRabbitMQEndpointBuilderFactory.SpringRabbitMQEndpointBuilder |
springRabbitmq(String path)
Spring RabbitMQ (camel-spring-rabbitmq)
Send and receive messages from RabbitMQ using Spring RabbitMQ client.
|
default SpringRabbitMQEndpointBuilderFactory.SpringRabbitMQEndpointBuilder |
springRabbitmq(String componentName,
String path)
Spring RabbitMQ (camel-spring-rabbitmq)
Send and receive messages from RabbitMQ using Spring RabbitMQ client.
|
default SpringRabbitMQEndpointBuilderFactory.SpringRabbitMQEndpointBuilder springRabbitmq(String path)
spring-rabbitmq:exchangeName
Path parameter: exchangeName (required)
The exchange name determines the exchange to which the produced
messages will be sent to. In the case of consumers, the exchange name
determines the exchange the queue will be bound to. Note: to use
default exchange then do not use empty name, but use default instead.path - exchangeNamedefault SpringRabbitMQEndpointBuilderFactory.SpringRabbitMQEndpointBuilder springRabbitmq(String componentName, String path)
spring-rabbitmq:exchangeName
Path parameter: exchangeName (required)
The exchange name determines the exchange to which the produced
messages will be sent to. In the case of consumers, the exchange name
determines the exchange the queue will be bound to. Note: to use
default exchange then do not use empty name, but use default instead.componentName - to use a custom component name for the endpoint
instead of the default namepath - exchangeNameApache Camel